<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
  <html xmlns="http://www.w3.org/1999/xhtml">
		<head>
			<!-- template designed by Marco Von Ballmoos -->
			<title>Docs For Class Akismet</title>
			<link rel="stylesheet" href="../media/stylesheet.css" />
			<meta http-equiv='Content-Type' content='text/html; charset=iso-8859-1'/>
		</head>
		<body>
			<div class="page-body">			
<h2 class="class-name">Class Akismet</h2>

<a name="sec-description"></a>
<div class="info-box">
	<div class="info-box-title">Description</div>
	<div class="nav-bar">
					<span class="disabled">Description</span> |
															<a href="#sec-method-summary">Methods</a> (<a href="#sec-methods">details</a>)
						
					</div>
	<div class="info-box-body">
        		<!-- ========== Info from phpDoc block ========= -->
		<p class="notes">
			Located in <a class="field" href="_Akismet_class_php.html">/Akismet.class.php</a> (line <span class="field">22</span>)
		</p>
		
				
		<pre></pre>
	
			</div>
</div>




	<a name="sec-method-summary"></a>
	<div class="info-box">
		<div class="info-box-title">Method Summary</span></div>
		<div class="nav-bar">
			<a href="#sec-description">Description</a> |
												<span class="disabled">Methods</span> (<a href="#sec-methods">details</a>)
		</div>
		<div class="info-box-body">			
			<div class="method-summary">
								
				<div class="method-definition">
											<span class="method-result">Akismet</span>
										<a href="#__construct" title="details" class="method-name">__construct</a>
											(<span class="var-type">string</span>&nbsp;<span class="var-name">$wordPressAPIKey</span>, <span class="var-type">string</span>&nbsp;<span class="var-name">$blogURL</span>)
									</div>
								
				<div class="method-definition">
											<span class="method-result">bool</span>
										<a href="#isCommentSpam" title="details" class="method-name">isCommentSpam</a>
										()
									</div>
								
				<div class="method-definition">
											<span class="method-result">void</span>
										<a href="#setPermalink" title="details" class="method-name">setPermalink</a>
											(<span class="var-type">mixed</span>&nbsp;<span class="var-name">$permalink</span>)
									</div>
								
				<div class="method-definition">
											<span class="method-result">void</span>
										<a href="#submitHam" title="details" class="method-name">submitHam</a>
										()
									</div>
								
				<div class="method-definition">
											<span class="method-result">void</span>
										<a href="#submitSpam" title="details" class="method-name">submitSpam</a>
										()
									</div>
							</div>
		</div>
	</div>		

	
	<a name="sec-methods"></a>
	<div class="info-box">
		<div class="info-box-title">Methods</div>
		<div class="nav-bar">
			<a href="#sec-description">Description</a> |
																<a href="#sec-method-summary">Methods</a> (<span class="disabled">details</span>)
						
		</div>
		<div class="info-box-body">
			<A NAME='method_detail'></A>
<a name="method__construct" id="__construct"><!-- --></a>
<div class="evenrow">
	
	<div class="method-header">
		<span class="method-title">Constructor __construct</span> (line <span class="line-number">40</span>)
	</div> 
	
	<!-- ========== Info from phpDoc block ========= -->
<p class="short-description">Creates a new Akismet object.</p>
	<ul class="tags">
				<li><span class="field">access:</span> public</li>
				<li><span class="field">throws:</span> Exception</li>
			</ul>
	
	<div class="method-signature">
		<span class="method-result">Akismet</span>
		<span class="method-name">
			__construct
		</span>
					(<span class="var-type">string</span>&nbsp;<span class="var-name">$wordPressAPIKey</span>, <span class="var-type">string</span>&nbsp;<span class="var-name">$blogURL</span>)
			</div>
	
			<ul class="parameters">
					<li>
				<span class="var-type">string</span>
				<span class="var-name">$wordPressAPIKey</span><span class="var-description">: Your WordPress API key.  Get one <a href="http://wordpress.com/api-keys/">here</a>.</span>			</li>
					<li>
				<span class="var-type">string</span>
				<span class="var-name">$blogURL</span><span class="var-description">: The URL of your blog</span>			</li>
				</ul>
		
		
	</div>
<a name="methodisCommentSpam" id="isCommentSpam"><!-- --></a>
<div class="oddrow">
	
	<div class="method-header">
		<span class="method-title">isCommentSpam</span> (line <span class="line-number">140</span>)
	</div> 
	
	<!-- ========== Info from phpDoc block ========= -->
<p class="short-description">What you came here for.</p>
<p class="description"><p>Uses the web service provided by <a href="http://www.akismet.com">Akismet</a> to see whether or not the submitted comment is spam.</p></p>
	<ul class="tags">
				<li><span class="field">return:</span> True if the comment is spam, false if not</li>
				<li><span class="field">access:</span> public</li>
			</ul>
	
	<div class="method-signature">
		<span class="method-result">bool</span>
		<span class="method-name">
			isCommentSpam
		</span>
				()
			</div>
	
		
		
	</div>
<a name="methodsetPermalink" id="setPermalink"><!-- --></a>
<div class="evenrow">
	
	<div class="method-header">
		<span class="method-title">setPermalink</span> (line <span class="line-number">166</span>)
	</div> 
	
	<!-- ========== Info from phpDoc block ========= -->
	<ul class="tags">
				<li><span class="field">access:</span> public</li>
			</ul>
	
	<div class="method-signature">
		<span class="method-result">void</span>
		<span class="method-name">
			setPermalink
		</span>
					(<span class="var-type">mixed</span>&nbsp;<span class="var-name">$permalink</span>)
			</div>
	
		
		
	</div>
<a name="methodsubmitHam" id="submitHam"><!-- --></a>
<div class="oddrow">
	
	<div class="method-header">
		<span class="method-title">submitHam</span> (line <span class="line-number">161</span>)
	</div> 
	
	<!-- ========== Info from phpDoc block ========= -->
<p class="short-description">Used to submit ham that is incorrectly tagged as spam.</p>
<p class="description"><p>Using this function will improve the Akismet service for everybody.</p></p>
	<ul class="tags">
				<li><span class="field">access:</span> public</li>
			</ul>
	
	<div class="method-signature">
		<span class="method-result">void</span>
		<span class="method-name">
			submitHam
		</span>
				()
			</div>
	
		
		
	</div>
<a name="methodsubmitSpam" id="submitSpam"><!-- --></a>
<div class="evenrow">
	
	<div class="method-header">
		<span class="method-title">submitSpam</span> (line <span class="line-number">151</span>)
	</div> 
	
	<!-- ========== Info from phpDoc block ========= -->
<p class="short-description">Used to submit spam that is incorrectly tagged as ham.</p>
<p class="description"><p>Using this function will improve the Akismet service for everybody.</p></p>
	<ul class="tags">
				<li><span class="field">access:</span> public</li>
			</ul>
	
	<div class="method-signature">
		<span class="method-result">void</span>
		<span class="method-name">
			submitSpam
		</span>
				()
			</div>
	
		
		
	</div>
						
		</div>
	</div>


	<p class="notes" id="credit">
		Documentation generated on Thu, 12 Jan 2006 10:29:30 +0000 by <a href="http://www.phpdoc.org" target="_blank">phpDocumentor 1.3.0RC5</a>
	</p>
	</div></body>
</html>